Open your medical-team conversation
curl --request POST \
--url https://api.hi-doctor.ai/v1/users/conversations/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.hi-doctor.ai/v1/users/conversations/"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.hi-doctor.ai/v1/users/conversations/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000005",
"user": {
"id": "0a1b2c3d-4e5f-4a6b-8c9d-000000000001",
"email": "patient@example.com",
"first_name": "Alex",
"last_name": "Moreno",
"locale": "en"
},
"created_at": "2026-08-02T11:43:49.831536Z",
"updated_at": "2026-08-03T06:55:00Z",
"is_active": true,
"pinned_at": null,
"last_message": {
"id": "0a1b2c3d-4e5f-4a6b-8c9d-00000000000m",
"sender": "0a1b2c3d-4e5f-4a6b-8c9d-00000000000d",
"sender_type": "DOCTOR",
"content": "I will check in with you in two weeks.",
"file": null,
"is_read": true,
"created_at": "2026-08-03T06:55:00Z"
},
"last_message_created_at": "2026-08-03T06:55:00Z",
"last_message_sender_type": "DOCTOR",
"unread_count": 0,
"subscription_status": "active"
}{
"detail": "Given token not valid for any token type",
"code": "token_not_valid",
"messages": [
{
"token_class": "AccessToken",
"token_type": "access",
"message": "Token is invalid"
}
]
}Messages
Open your medical-team conversation
Gets or creates the patient’s own thread with the medical team.
POST
/
v1
/
users
/
conversations
/
Open your medical-team conversation
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
The patient a conversation belongs to.
Show child attributes
Show child attributes
The most recent message. Null when the thread is empty.
Show child attributes
Show child attributes
Available options:
USER, DOCTOR ⌘I